Package org.apache.lucene.analysis

## Class AutomatonToTokenStream

- java.lang.Object
- - org.apache.lucene.analysis.AutomatonToTokenStream

-     public class AutomatonToTokenStream
      extends Object

  Converts an Automaton into a TokenStream.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TokenStream` | `toTokenStream​(Automaton automaton)` | converts an automaton into a TokenStream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toTokenStream

          public static TokenStream toTokenStream​(Automaton automaton)

      converts an automaton into a TokenStream. This is done by first Topo sorting the nodes in the Automaton. Nodes that have the same distance from the start are grouped together to form the position nodes for the TokenStream. The resulting TokenStream releases edges from the automaton as tokens in order from the position nodes. This requires the automaton be a finite DAG.
      Parameters:
        `automaton` - automaton to convert. Must be a finite DAG.
      Returns:
        TokenStream representation of automaton.